clamav 0.961 на FreeBSD 5.4

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
nimand2000
проходил мимо
Сообщения: 2
Зарегистрирован: 2010-04-16 19:22:11

clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение nimand2000 » 2010-04-16 19:42:26

Доброго времени суток!
такая проблемка - есть сервак на BSD 5.4 с кучей всего - почтовый сервер (postfix, mysql, php,postfixadmin, Cyrus-sasl, Courier-imap, Courier-authlib, spamassasin, Amavisd-new). Все это ставилось во времена, когда данная ОС была последним стабильным релизом.
Отвалился clamav, на данный момент в портах версия 0.961. При установке (из порта make install) лезет ошибка:

Код: Выделить всё

===>   clamav-0.96_1 depends on executable: gcc42 - not found
===>    Verifying install for gcc42 in /usr/ports/lang/gcc42
===>   gcc-4.2.5.20090325_2 depends on executable: zip - found
===>   gcc-4.2.5.20090325_2 depends on executable: gmake - found
===>   gcc-4.2.5.20090325_2 depends on executable: bison - not found
===>    Verifying install for bison in /usr/ports/devel/bison
===>  Building for bison-2.4.1,1
make  all-recursive
Making all in build-aux
Making all in po
Making all in runtime-po
Making all in lib
make  all-recursive
Making all in data
Making all in src
make  all-am
Making all in doc
Making all in examples
Making all in calc++
../../tests/bison -d -ra -S lalr1.cc -o ./calc++-parser.cc  ./calc++-parser.yy
/usr/ports/devel/bison/work/bison-2.4.1/data/location.cc:24: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/location.cc:148: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/location.cc:274: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/lalr1.cc:300: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/lalr1.cc:303: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/lalr1.cc:1060: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
/usr/ports/devel/bison/work/bison-2.4.1/data/lalr1.cc:1157: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
NONE:0: /usr/local/bin/gm4: Warning: Excess arguments to built-in `_m4_popdef' ignored
NONE:0: error: m4_init: unbalanced m4_divert_push:
NONE:0: the top level
/usr/ports/devel/bison/work/bison-2.4.1/src/bison: subsidiary program `/usr/local/bin/gm4' failed (exit status 1)
*** Error code 1
Stop in /usr/ports/devel/bison/work/bison-2.4.1/examples/calc++.
*** Error code 1
Stop in /usr/ports/devel/bison/work/bison-2.4.1/examples.
*** Error code 1
Stop in /usr/ports/devel/bison/work/bison-2.4.1.
*** Error code 1
Stop in /usr/ports/devel/bison/work/bison-2.4.1.
*** Error code 1
Stop in /usr/ports/devel/bison.
*** Error code 1
Stop in /usr/ports/lang/gcc42.
*** Error code 1
Stop in /usr/ports/security/clamav.
*** Error code 1
Stop in /usr/ports/security/clamav.
Вроде как ошибка при попытке установить зависимость bison-2.4.1,1. Подскажите, как быть. Поставить сначала bison-2.4.1,1 пробовал. Ошибка та же.
Спасибо

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Гость
проходил мимо

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Гость » 2010-04-16 19:47:47

у вас два разных мысленных потока

вы порты обновили ? или что

nimand2000
проходил мимо
Сообщения: 2
Зарегистрирован: 2010-04-16 19:22:11

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение nimand2000 » 2010-04-16 20:07:19

Отвалился старый clamav-0.88, который стоял на сервере.
Порты на серверы сейчас обновлены, в портах версия clamav-0.96
Его и пытаюсь установить.

Гость
проходил мимо

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Гость » 2010-04-16 20:12:41

не нужно было все порты обновлять
достаточно было вытянуть отдельно порт кламава и положить рядышком

ну теперь пересоберите m4 язык
похоже он устарел и бизон из за него не собираеться

pkg_info | grep m4
поищите

Larin
лейтенант
Сообщения: 975
Зарегистрирован: 2008-01-29 20:08:41
Откуда: РБ, Минск

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Larin » 2010-04-16 23:00:12

а уже многие ругались на кламав и старые бсд.
там, что-то связанное с перлом поломали.

Гость
проходил мимо

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Гость » 2010-04-16 23:11:45

после обновления GNU M4 Должно быть все гуд

странно что m4 вообще не в зависимости у порта

demank
проходил мимо
Сообщения: 2
Зарегистрирован: 2010-04-17 9:03:06

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение demank » 2010-04-17 9:06:59

Доброе Утро!
Да вот вчера -тоже воевал с этим -но в принципе поставил обновил но этот clamav 0.96 -уходит в коре -и все

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35262
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Alex Keda » 2010-04-17 22:16:06

может пора обновить систему?
Убей их всех! Бог потом рассортирует...

demank
проходил мимо
Сообщения: 2
Зарегистрирован: 2010-04-17 9:03:06

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение demank » 2010-04-18 10:51:42

:smile: мда я и сам об этом подумывал -но как всегда финансирование

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35262
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение Alex Keda » 2010-04-18 18:36:58

контора не может себе позволить гиг траффика?
сочувствую =(
Убей их всех! Бог потом рассортирует...

.ignore
рядовой
Сообщения: 23
Зарегистрирован: 2010-05-20 1:10:25

Re: clamav 0.961 на FreeBSD 5.4

Непрочитанное сообщение .ignore » 2013-02-28 1:44:55

Код: Выделить всё

===>   vlc-2.0.5_1,3 depends on package: ffmpeg1>=1.0 - not found
===>    Verifying install for ffmpeg1>=1.0 in /usr/ports/multimedia/ffmpeg1
===>   ffmpeg1-1.0.4 depends on executable: yasm - found
===>   ffmpeg1-1.0.4 depends on file: /usr/local/bin/as - not found
===>    Verifying install for /usr/local/bin/as in /usr/ports/devel/binutils
===>   binutils-2.23.1 depends on file: /usr/local/lib/libgmp.so - found
===>   binutils-2.23.1 depends on file: /usr/local/lib/libmpfr.so - found
===>   binutils-2.23.1 depends on executable: gmake - found
===>   binutils-2.23.1 depends on executable: bison - not found
===>    Verifying install for bison in /usr/ports/devel/bison
===>   bison-2.7,1 depends on executable: gm4 - found
===>   bison-2.7,1 depends on file: /usr/local/bin/perl5.8.9 - found
===>   bison-2.7,1 depends on shared library: intl - found
===>  Configuring for bison-2.7,1
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... build-aux/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for style of include used by make... GNU
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking dependency style of cc... gcc3
checking for cc option to accept ISO C99... -std=gnu99
checking for cc -std=gnu99 option to accept ISO Standard C... (cached) -std=gnu99
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for ranlib... ranlib
checking whether cc -std=gnu99 and cc understand -c and -o together... yes
checking build system type... i386-portbld-freebsd8.0
checking host system type... i386-portbld-freebsd8.0
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether pragma GCC diagnostic push works... no
checking whether cc -std=gnu99 supports POSIXLY_CORRECT=1... yes
checking whether c++ builds executables that work... yes
checking whether c++ supports POSIXLY_CORRECT=1... yes
checking for flex... flex
checking whether lex is flex... yes
checking lex output file root... lex.yy
checking lex library... -lfl
checking whether yytext is a pointer... yes
checking for bison... no
checking for byacc... byacc
checking for ranlib... (cached) ranlib
checking for GNU M4 that supports accurate traces... configure: error: no acceptable m4 could be found in $PATH.
GNU M4 1.4.6 or later is required; 1.4.16 or newer is recommended.
GNU M4 1.4.15 uses a buggy replacement strstr on some systems.
Glibc 2.9 - 2.12 and GNU M4 1.4.11 - 1.4.15 have another strstr bug.
===>  Script "configure" failed unexpectedly.
Please report the problem to johans@FreeBSD.org [maintainer] and attach the
"/usr/ports/devel/bison/work/bison-2.7/config.log" including the output of
the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a /usr/sbin/pkg_info
-Ea).
*** Error code 1

Stop in /usr/ports/devel/bison.
*** Error code 1

Stop in /usr/ports/devel/binutils.
*** Error code 1

Stop in /usr/ports/devel/binutils.
*** Error code 1

Stop in /usr/ports/multimedia/ffmpeg1.
*** Error code 1

Stop in /usr/ports/multimedia/ffmpeg1.
*** Error code 1

Stop in /usr/ports/multimedia/vlc.
*** Error code 1

Stop in /usr/ports/multimedia/vlc.

начал ставить VLC заткнулся на mpfr
обновил порты и установил
/usr/ports/devel/libtool22
/usr/ports/devel/libtool

это помогло

почитал /usr/ports/devel/bison/work/bison-2.7/config.log
мне мало что сказало

но теперь споткнулся на Glibc M4
вот теперь читаю что делать

модет кто знает что делать?